"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.compile = exports.prepare = exports.DEFAULT_CONFIG = void 0;
const maven_1 = __importDefault(require("maven"));
const testing_1 = require("@openapi-generator-plus/testing");
const __1 = __importDefault(require(".."));
const path_1 = __importDefault(require("path"));
exports.DEFAULT_CONFIG = {
    maven: {},
};
async function prepare(spec, config) {
    return (0, testing_1.createCodegenResult)(path_1.default.resolve(__dirname, spec), config || exports.DEFAULT_CONFIG, __1.default);
}
exports.prepare = prepare;
async function compile(basePath) {
    const mvn = maven_1.default.create({
        cwd: basePath,
        quiet: true,
    });
    await mvn.execute('test-compile');
}
exports.compile = compile;
